### Constructor

# Gtk Shortcut new_with_arguments

#### Declaration [src]

    GtkShortcut*
    gtk_shortcut_new_with_arguments (
      GtkShortcutTrigger* trigger,
      GtkShortcutAction* action,
      const char* format_string,
      ...
    )

#### Description [src]

Creates a new `GtkShortcut` that is triggered by `trigger` and then activates `action` with arguments given by `format_string`.

This constructor is not directly available to language bindings.

#### Parameters

`trigger`

  Type: `GtkShortcutTrigger`

  The trigger that will trigger the shortcut.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`action`

  Type: `GtkShortcutAction`

  The action that will be activated upon triggering.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`format_string`

  Type: `const char*`

  GVariant format string for arguments or `NULL` for no arguments.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments, as given by format string.

#### Return value

Type: `GtkShortcut`

A new `GtkShortcut`.

The caller of the function takes ownership of the data, and is responsible for freeing it.